#{if editable && isDraf}
<div class="btn btn-success fileinput-button">
    <span>Upload</span>
    <i class="fa fa-plus-circle"></i>
    <input id="fileupload" type="file" name="file">
</div>
<div id="progress" class="progress" style="display: none;">
    <div class="progress-bar progress-bar-success"></div>
</div>
<div id="alert-upload" style="margin-top: 10px;"></div>
#{/if}
<table class="table table-sm table-striped"" id="files">
    <thead>
    <th>&{'nonlelang.nama_file'}</th>
    <th>&{'nonlelang.tanggal_upload'}</th>
    #{if editable && isDraf}	<th>&{'nonlelang.aksi'}</th> #{/if}
    </thead>
    <tbody>
    #{list items:survey, as:'dok'}
    <tr>
        <td>#{download dok/}</td>
        <td>${dok?.blb_date_time?.formatDateTime()}</td>
        #{if editable && isDraf}<td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
        <i class="fa fa-trash-o"></i></a>
    </td>#{/if}
    </tr>
    #{/list}
    </tbody>
</table>

#{if editable}
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
$(document).on('click', '#fileupload', function(){
	$('#fileupload').fileupload({
				url: '@{nonlelang.DokumenPlCtr.surveyPpkSumbit(paket?.pkt_id)}',
		        dataType: 'json',
		        acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
		        done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<tr><td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td></tr>';
							$("#files > tbody").append(content);
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
					}
		        },
		        progressall: function (e, data) {
		            var progress = parseInt(data.loaded / data.total * 100, 10);
		            $('#progress').show();
		            $('#progress .progress-bar').css(
		                'width',
		                progress + '%'
		            );
		        }
		    }).on('fileuploadprocessalways', function (e, data) {
		    	var file = data.files[data.index];
		    	if (data.files.error && file.error) {
		    	  var msg = file.name+' - '+file.error
			      $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
			    }
	}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});
 $(document).on('click', '.removeDok', function(){
	   	  var versi = $(this).attr('versi')
	   	  var parent = $(this).parent()
	      $.ajax({
			  type: 'POST',
			  url: '@{nonlelang.DokumenPlCtr.hapusSurveyHargaPpk(paket?.pkt_id)}',
			  data : {'versi': versi},
			  success : function(){
				  $('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
				  parent.parent().remove()
			  },
			  error : function(){
				  $('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
			  }
		  })
 });
</script>
#{/if}


